package com.doplagroup.spider;

import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.net.HttpURLConnection;
import javax.ejb.MessageDriven;
import javax.ejb.ActivationConfigProperty;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.ObjectMessage;
import javax.jms.TextMessage;

import org.jboss.ejb3.annotation.ResourceAdapter;


/**
 * Class to test processing messages
 * 
 * @author matt
 *
 */
@MessageDriven(name = "Message_Processor", activationConfig = {
		@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue"),
	    @ActivationConfigProperty(propertyName = "destination", propertyValue = "queue/spiderQueue"),
	    @ActivationConfigProperty(propertyName = "user", propertyValue = "processor"),
	    @ActivationConfigProperty(propertyName = "password", propertyValue = "processor"),
	    @ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge")
})
@ResourceAdapter("hornetq-ra.rar")
public class MessageProcessor implements MessageListener {

	@Override
	public void onMessage(Message m) {
		
		System.out.println("Message recieved...");
		try {
			System.out.println(((TextMessage)m).getText());
		} catch (JMSException e) {
			e.printStackTrace();
		}
		
		
	}

}
